CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   ParaView reader module libraries do not exist (http://www.cfd-online.com/Forums/openfoam-installation/107779-paraview-reader-module-libraries-do-not-exist.html)

anishtain4 October 7, 2012 02:32

ParaView reader module libraries do not exist
 
When I want to use the paraFoam it complains:

Code:

FATAL ERROR: ParaView reader module libraries do not exist

Please build the reader module before continuing:
cd $FOAM_UTILITIES/postProcessing/graphics/PV3Readers
./Allwclean
./Allwmake

So I go to there and do ./Allwclean, it clears some stuff but when I want to ./Allwmake it returns

Code:

+ [ -d /opt/OpenFOAM/ThirdParty-2.1.0/platforms/linuxGcc/paraview-3.12.0 -a -r /opt/OpenFOAM/ThirdParty-2.1.0/platforms/linuxGcc/paraview-3.12.0 ]
I went down there and saw there is no paraview-3.12.0 folder there, but instead it is in the ThirdParty-2.1.0 folder, so I copied that to the subfolder, but still I get the same result.
What should I do?

wyldckat October 7, 2012 02:51

Greetings Mahdi,

Which Linux Distribution are you using and what instructions did you follow for installing OpenFOAM?

Best regards,
Bruno

anishtain4 October 7, 2012 07:22

Hey wyldckat, the savior is here again.
I'm using ubuntu 10.04 and I installed the OF manually as we discussed in another topic. Back then paraFoam was working fine, I have no idea how this has happened and it stopped working?

wyldckat October 7, 2012 15:24

Hi Mahdi,

Quote:

Originally Posted by anishtain4 (Post 385322)
Hey wyldckat, the savior is here again.

Nah, I'm just a typical Obsessive Compulsive Installer :D

Quote:

Originally Posted by anishtain4 (Post 385322)
I'm using ubuntu 10.04 and I installed the OF manually as we discussed in another topic. Back then paraFoam was working fine, I have no idea how this has happened and it stopped working?

It's possible that you might have installed something else that might have disturbed OpenFOAM's working environment. Perhaps you installed another version of OpenFOAM?

What do these commands output:
Code:

echo $PV_PLUGIN_PATH
ls -l $PV_PLUGIN_PATH//libPV3FoamReader_SM.so
which paraview

Best regards,
Bruno

anishtain4 October 9, 2012 02:15

Quote:

Originally Posted by wyldckat (Post 385371)
Nah, I'm just a typical Obsessive Compulsive Installer :D


It's possible that you might have installed something else that might have disturbed OpenFOAM's working environment. Perhaps you installed another version of OpenFOAM?

What do these commands output:
Code:

echo $PV_PLUGIN_PATH
ls -l $PV_PLUGIN_PATH//libPV3FoamReader_SM.so
which paraview

Best regards,
Bruno

Guess it got out of service after some updates, not sure how it happened?
The output is:
Code:

/opt/OpenFOAM-2.1.1/platforms/linuxGccDPOpt/lib/paraview-3.12

-rwxr-xr-x 1 mahdi mahdi 198152 2012-10-08 19:36 /opt/OpenFOAM-2.1.1/platforms/linuxGccDPOpt/lib/paraview-3.12//libPV3FoamReader_SM.so

/opt/ThirdParty-2.1.1/platforms/linuxGcc/paraview-3.12.0/bin/paraview

I tried to install all the openfoam and paraview from the scratch, now when I want to open paraview it says: Segmentation fault

I looked it up and found another thread where you have mentioned there maybe something wrong with the Open-GL. I checked my drivers and I have the proprietary driver, but I remember I ran some command regarding to xorg :D guess that hit the problem. anyway I'm running the update from 10.04 to 12 LTS now, hope this helps

anishtain4 October 9, 2012 08:25

I believe it was a VGA issue, after update to precise things are working good.
Thanks for your patience


All times are GMT -4. The time now is 08:56.